com.google.gwt.resources.client

## Annotation Type ImageResource.ImageOptions

-     @Documented
       @Retention(value=RUNTIME)
       @Target(value=METHOD)
      public static @interface ImageResource.ImageOptions

  Specifies additional options to control how an image is bundled.

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `boolean` | `flipRtl` If `true`, the image will be flipped about the y-axis when `LocaleInfo.isRTL()` returns `true`.
    `int` | `height` Set to a positive value to override the image's intrinsic height.
    `boolean` | `preventInlining` Set to `true` to require the ImageResource to be downloaded as a separate resource at runtime.
    `ImageResource.RepeatStyle` | `repeatStyle` This option affects the image bundling optimization to allow the image to be used with the `CssResource` `@sprite` rule where repetition of the image is desired.
    `int` | `width` Set to a positive value to override the image's intrinsic width.

- - ### Element Detail

    - #### flipRtl

          public abstract boolean flipRtl

      If `true`, the image will be flipped about the y-axis when `LocaleInfo.isRTL()` returns `true`. This is intended to be used by graphics that are sensitive to layout direction, such as arrows and disclosure indicators.
      Default:
        false

  - - #### height

          public abstract int height

      Set to a positive value to override the image's intrinsic height. The image bundling code will scale the image to the desired height. If only one of `width` or `height` are set, the aspect ratio of the image will be maintained.
      Default:
        -1

  - - #### preventInlining

          public abstract boolean preventInlining

      Set to `true` to require the ImageResource to be downloaded as a separate resource at runtime. Specifically, this will disable the use of `data:` URLs or other bundling optimizations for the image. This can be used for infrequently-displayed images.
      Default:
        false

  - - #### repeatStyle

          public abstract ImageResource.RepeatStyle repeatStyle

      This option affects the image bundling optimization to allow the image to be used with the `CssResource` `@sprite` rule where repetition of the image is desired.
      See Also:
        "CssResource documentation"
      Default:
        com.google.gwt.resources.client.ImageResource.RepeatStyle.None

  - - #### width

          public abstract int width

      Set to a positive value to override the image's intrinsic width. The image bundling code will scale the image to the desired width. If only one of `width` or `height` are set, the aspect ratio of the image will be maintained.
      Default:
        -1